/* 開くボタン */
.button-open {
  display: block;
  margin: 0 auto;
  width: 10rem;
  padding: 1em;
  background-color: #3140c9;
  color: #eaeaea;
  border-radius: 20rem;
  /* position: absolute;
  top: 90%;
  left: 60%; */
  cursor: pointer;
}

/* モーダルウィンドウ */
.modal-window {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 35%;
  height: 88%;
  background-color: #ffffff;
  border-radius: 5px;
  z-index: 10000;
  padding: 0rem;
  padding-top: 0rem;
  padding-bottom: 0rem;
  overflow: auto;
  font-size: 0.8em;
}

/* モーダルウィンドウ２ */
.modal-window2 {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 25%;
  height: auto;
  background-color: #ffffff;
  border-radius: 5px;
  z-index: 10000;
  /* padding-left: 1.5rem; */
  padding: 0rem;
  overflow: auto;
  font-size: 0.8em;
}

/* モーダルウィンドウ３ */
.modal-window3 {
  display: none;
  position: fixed;
  top: 50%;
  left: 87.5%;
  transform: translate(-50%, -50%);
  width: 25%;
  height: auto;
  max-height: 70%;
  background-color: #ffffff;
  border-radius: 5px;
  z-index: 10000;
  /* padding-left: 1.5rem; */
  padding: 0rem;
  overflow: auto;
  font-size: 0.8em;
  margin-bottom: 0;
}

/* モーダルウィンドウ４ */
.modal-window-city {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 30%;
  height: auto;
  max-height: 40%;
  background-color: #ffffff;
  border-radius: 5px;
  z-index: 10000;
  /* padding-left: 1.5rem; */
  padding: 0;
  overflow: auto;
  font-size: 0.8em;
}

/* 閉じるボタン */
.button-close {
  /* position: absolute;
  top: 95%;
  left: 90%; */
  transform: translate(-50%, -50%);
  width: 80px;
  padding: 1em;
  background-color: #c96931;
  color: #eaeaea;
  border-radius: 20rem;
  cursor: pointer;
}

.overlay {
  /* display: none; */
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100%;
  z-index: 11000;
}


.contents {
  overflow: hidden;
}

.item {
  float: left;
  padding: 20px 30px;
  text-align: center;
}

.modal-window-top {
  font-weight: 700;
}

.field-top {
  font-weight: 700;
}

.flex {
  height: 75px;
  display: flex;
  background-color: #3140c9;
  color: whitesmoke;
  margin: 0px 0px 0.5px;
  /* border: 1px solid #333; */
}

.flex1 {
  display: flex;
  /* background-color: #3140c9; */
  color: whitesmoke;
  margin: 0px 0px 0.5px;
  /* border: 1px solid #333; */
}

.flex div {
  display: flex;
}

.right {
  /* display: flex; */
  width: 600px;
  height: 40px;
  margin-top: 0.5px;
  margin-right: 20px;
  text-align: right;
}

.left {
  vertical-align: bottom;
  /*コレ追加*/
  width: calc(100% - 300px);
  padding-left: 30px;
  padding-top: 20px;
}

.research-form {
  padding-left: 20px;
  padding-right: 20px;
}

.empty-state {
  display: none;
}

.t_points:empty+.empty-state {
  display: block;
}

.right1 {
  display: flex;
  width: 30px;
  height: 50px;
  margin-top: 25px;
}

.left1 {
  vertical-align: bottom;
  /*コレ追加*/
  width: calc(100% - 50px);
  padding-left: 20px;
}

.right2 {
  /* display: flex; */
  width: 300px;
  height: 50px;
  margin-top: 25px;
  margin-bottom: 10px;
}

.batsu {
  font-size: 100%;
  /*ボタンの大きさ*/
  font-weight: bold;
  border: 1px solid #999;
  color: #999;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100%;
  width: 1.3em;
  line-height: 1.3em;
  cursor: pointer;
  transition: 0.2s;
  position: absolute;
  top: 2.5%;
  left: 92.5%;
}

.batsu:hover {
  background: #333;
  border-color: #333;
  color: #fff;
}

.batsu1 {
  font-size: 100%;
  /*ボタンの大きさ*/
  font-weight: bold;
  border: 1px solid #999;
  color: #999;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100%;
  width: 1.3em;
  line-height: 1.3em;
  cursor: pointer;
  transition: 0.2s;
  position: absolute;
  top: 4.5%;
  left: 92.5%;
}

.batsu1:hover {
  background: #333;
  border-color: #333;
  color: #fff;
}

.batsu2 {
  font-size: 100%;
  /*ボタンの大きさ*/
  font-weight: bold;
  border: 1px solid #999;
  color: #999;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100%;
  width: 1.3em;
  line-height: 1.3em;
  cursor: pointer;
  transition: 0.2s;
  position: absolute;
  top: 2.5%;
  left: 95%;
}

.batsu2:hover {
  background: #333;
  border-color: #333;
  color: #fff;
}

input[type="checkbox"] {
  transform: scale(1.25);
}

#load {
  position: absolute;
  width: 400px;
  height: 180px;
  left: 55%;
  top: 50%;
  margin-left: -300px;
  z-index: 10000;
  cursor: default;
}

.globe {
  width: 350px;
  height: 350px;
  margin: 30px;
  border-radius: 50%;
  position: relative;
  background: url("/media/leaflet@0.7.3/sidebar-v2-master/img/earthmap1k.jpg") repeat-x;
  background-size: auto 100%;
  animation: rotate-anim 50s linear infinite;
  box-shadow: -20px -10px 40px rgba(0, 0, 0, 0.75) inset;
}

.globe:after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: -20px;
  margin: auto;
  width: 90px;
  height: 4px;
  border-radius: 50%;
  background: #000;
  filter: blur(4px);
}

#loading {
  position: absolute;
  width: 600px;
  height: 36px;
  left: 30%;
  top: 90%;
  margin-left: -300px;
  overflow: visible;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: default;
}

#loading div {
  position: absolute;
  width: 20px;
  height: 36px;
  opacity: 0;
  font-family: Helvetica, Arial, sans-serif;
  animation: move 2s linear infinite;
  -o-animation: move 2s linear infinite;
  -moz-animation: move 2s linear infinite;
  -webkit-animation: move 2s linear infinite;
  transform: rotate(180deg);
  -o-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
  -webkit-transform: rotate(180deg);
  color: #ccc;
}

#loading div:nth-child(2) {
  animation-delay: 0.2s;
  -o-animation-delay: 0.2s;
  -moz-animation-delay: 0.2s;
  -webkit-animation-delay: 0.2s;
}

#loading div:nth-child(3) {
  animation-delay: 0.4s;
  -o-animation-delay: 0.4s;
  -webkit-animation-delay: 0.4s;
  -webkit-animation-delay: 0.4s;
}

#loading div:nth-child(4) {
  animation-delay: 0.6s;
  -o-animation-delay: 0.6s;
  -moz-animation-delay: 0.6s;
  -webkit-animation-delay: 0.6s;
}

#loading div:nth-child(5) {
  animation-delay: 0.8s;
  -o-animation-delay: 0.8s;
  -moz-animation-delay: 0.8s;
  -webkit-animation-delay: 0.8s;
}

#loading div:nth-child(6) {
  animation-delay: 1s;
  -o-animation-delay: 1s;
  -moz-animation-delay: 1s;
  -webkit-animation-delay: 1s;
}

#loading div:nth-child(7) {
  animation-delay: 1.2s;
  -o-animation-delay: 1.2s;
  -moz-animation-delay: 1.2s;
  -webkit-animation-delay: 1.2s;
}

@keyframes move {
  0% {
    left: 0;
    opacity: 0;
  }

  35% {
    left: 41%;
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    opacity: 1;
  }

  65% {
    left: 59%;
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    opacity: 1;
  }

  100% {
    left: 100%;
    -moz-transform: rotate(-180deg);
    -webkit-transform: rotate(-180deg);
    -o-transform: rotate(-180deg);
    transform: rotate(-180deg);
    opacity: 0;
  }
}

@-moz-keyframes move {
  0% {
    left: 0;
    opacity: 0;
  }

  35% {
    left: 41%;
    -moz-transform: rotate(0deg);
    transform: rotate(0deg);
    opacity: 1;
  }

  65% {
    left: 59%;
    -moz-transform: rotate(0deg);
    transform: rotate(0deg);
    opacity: 1;
  }

  100% {
    left: 100%;
    -moz-transform: rotate(-180deg);
    transform: rotate(-180deg);
    opacity: 0;
  }
}

@-webkit-keyframes move {
  0% {
    left: 0;
    opacity: 0;
  }

  35% {
    left: 41%;
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    opacity: 1;
  }

  65% {
    left: 59%;
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    opacity: 1;
  }

  100% {
    left: 100%;
    -webkit-transform: rotate(-180deg);
    transform: rotate(-180deg);
    opacity: 0;
  }
}

@-o-keyframes move {
  0% {
    left: 0;
    opacity: 0;
  }

  35% {
    left: 41%;
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    opacity: 1;
  }

  65% {
    left: 59%;
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    opacity: 1;
  }

  100% {
    left: 100%;
    -o-transform: rotate(-180deg);
    transform: rotate(-180deg);
    opacity: 0;
  }
}

@keyframes rotate-anim {
  100% {
    background-position: -200% 0;
  }
}

#choose-forestry {
  pointer-events: none;
  position: fixed;
  top: 30px;
  left: 30px;
  /* width: 60px;
  height: 60px; */
  color: #ccc;
  background-color: #1e1f24;
  /* border-radius: 50%; */
  transform: translate(0, 0);
  transition: all 0.1s ease-out;
  z-index: 9999;
  opacity: 0;
  display: none;
}

.form-check-input {
  cursor: pointer;
}

.form-check-label {
  cursor: pointer;
}

#search_table {
  text-align: center;
  vertical-align: middle;
}

#search_table th {
  background-color: #f0ebeb;
}

.choose_window {
  cursor: pointer;
  background-color: beige;
  vertical-align: top;
  text-align: left;
}

#header.fixed {
  position: fixed;
  /*fixedを設定して固定*/
  z-index: 999;
  /*最前面へ*/
  top: 0;
  /*位置指定*/
  left: 0;
  /*位置指定*/
}

.sidebar-content .sidebar-pane button#all_del.btn-danger {
  margin: 0 20px 0 auto;
  padding: 2px 20px;
  color: #01113b;
  background-color: #e8e8e8;
  font-weight: bold;
  border: none;
}

.sidebar-content .sidebar-pane button#ajax_button3.btn-primary {
  background-color: #051e5e;
  border: none;
}

.modal-header {
  background-color: #051e5e;
}

.modal-title {
  color: #e8e8e8;
}

.btn-close {
  background-color: #e8e8e8;
}